Package com.logicaldoc.core.security

# Class Device

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.security.Device

All Implemented Interfaces:
  `Serializable`

@Entity public class Device extends PersistentObject implements Serializable
Represents a device with wich a user connects to the platform

Since:
  8.5.3
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PARAM_DEVICE`

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`Device()`
`Device(jakarta.servlet.http.HttpServletRequest request)`
Constructs a new Device inspecting the current request

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getBrowser()`
`String`
`getBrowserVersion()`
`String`
`getDeviceId()`
`String`
`getIp()`
`String`
`getLabel()`
`Date`
`getLastLogin()`
`String`
`getOperativeSystem()`
`String`
`getType()`
`long`
`getUserId()`
`String`
`getUsername()`
`int`
`hashCode()`
`boolean`
`isTrusted()`
`void`
`setBrowser(String browser)`
`void`
`setBrowserVersion(String browserVersion)`
`void`
`setDeviceId(String deviceId)`
`void`
`setIp(String ip)`
`void`
`setLabel(String label)`
`void`
`setLastLogin(Date lastLogin)`
`void`
`setOperativeSystem(String operativeSystem)`
`void`
`setTrusted(boolean trusted)`
`void`
`setType(String type)`
`void`
`setUserId(long userId)`
`void`
`setUsername(String username)`
`String`
`toString()`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### PARAM_DEVICE

public static final String PARAM_DEVICE

See Also:
  - Constant Field Values

## Constructor Details

### Device

public Device()

### Device

public Device(jakarta.servlet.http.HttpServletRequest request)
Constructs a new Device inspecting the current request

Parameters:
  `request` - the current request

## Method Details

### getBrowser

public String getBrowser()

### setBrowser

public void setBrowser(String browser)

### getBrowserVersion

public String getBrowserVersion()

### setBrowserVersion

public void setBrowserVersion(String browserVersion)

### getOperativeSystem

public String getOperativeSystem()

### setOperativeSystem

public void setOperativeSystem(String operativeSystem)

### getType

public String getType()

### setType

public void setType(String type)

### getLastLogin

public Date getLastLogin()

### setLastLogin

public void setLastLogin(Date lastLogin)

### getUserId

public long getUserId()

### setUserId

public void setUserId(long userId)

### getDeviceId

public String getDeviceId()

### setDeviceId

public void setDeviceId(String deviceId)

### isTrusted

public boolean isTrusted()

### setTrusted

public void setTrusted(boolean trusted)

### getIp

public String getIp()

### setIp

public void setIp(String ip)

### getUsername

public String getUsername()

### setUsername

public void setUsername(String username)

### getLabel

public String getLabel()

### setLabel

public void setLabel(String label)

### toString

public String toString()

Overrides:
  `toString` in class `PersistentObject`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`